#include <shlobj.h>
#include "jbsql.h"

void SaveToHistory(char *command)
{
  char pdir[MAX_PATH+100];
  char timebuf[100];
  time_t t;
  HANDLE f;
  DWORD bytes_written;

  if (!SHGetSpecialFolderPath(g_hWnd,pdir,CSIDL_PERSONAL ,FALSE))
    return;
  strcat(pdir,"\\jbsql_history_");
  if (g_database[0])
    strcat(pdir,g_database);
  else
    strcat(pdir,"local");
  strcat(pdir,".txt");
 	f=CreateFile(pdir,
             GENERIC_WRITE,
             FILE_SHARE_READ,
             NULL,
             OPEN_ALWAYS,
             0,
             NULL);
             
  if (f==INVALID_HANDLE_VALUE)
  {
    return;
  }
  SetFilePointer(f,0,NULL,FILE_END);
  time(&t);
  strftime(timebuf,100,"\r\n\r\n%d-%m-%Y %H:%M:%S\r\n\r\n",localtime(&t));
  WriteFile(f,timebuf,strlen(timebuf),&bytes_written,NULL);
  WriteFile(f,command,strlen(command),&bytes_written,NULL);
  CloseHandle(f);
}